#include <stdio.h>
#include <stdbool.h>
#include <stdlib.h>

bool copyText(char from[], char to[], int lengthOfTo);

bool isSameText(char a[], char b[], bool caseInsensitive);

int main() {

    char t1[] = "Na ena keimeno 123";
    char t2[100];

    copyText(t1,t2,100);

    printf("t1 : %s\n", t1);
    printf("t2 : %s\n", t2);

    return 0;
}

bool copyText(char from[], char to[], int lengthOfTo) {
    if (lengthOfTo < 1) {
        return false;
    }

    int i;

    for (i = 0; from[i] != 0 && i < lengthOfTo-1; ++i) {
        to[i] = from[i];
    }
    to[i] = 0;

    return from[i]==0;

//    if (from[i] == 0)
//        return true;
//    else
//        return false;
}

char toLowerCase(char x) {
    if ('A' <= x && x <= 'Z') {
        return x - 'A' + 'a';   // return x + ('a' - 'A');
    }
    return x;
}
bool isSameText(char a[], char b[], bool caseInsensitive) {
    int i;
    for (i = 0; a[i] != 0 && b[i] != 0; ++i) {
        if (caseInsensitive) {
            if (toLowerCase(a[i]) != toLowerCase(b[i])) {
                return false;
            }
        } else {
            if (a[i] != b[i]) {
                return false;
            }
        }
    }
    if (a[i] == b[i]) {
        return true;
    } else {
        return false;
    }

}